/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "../button/button.component";
import * as i2 from "./buttongroup.component";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmodules'])
 * definition for the ButtonGroup directive.
 *
 * Required for adding ButtonGroup features in NgModule-based Angular applications.
 *
 * The package exports:
 * - `ButtonGroupComponent`&mdash;The ButtonGroup component class.
 * - `ButtonComponent`&mdash;The Button component class.
 *
 * @example
 * ```typescript
 * import { ButtonGroupModule } from '@progress/kendo-angular-buttons';
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *   declarations: [AppComponent],
 *   imports: [BrowserModule, ButtonGroupModule],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class ButtonGroupModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonGroupModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ButtonGroupModule, never, [typeof i1.ButtonComponent, typeof i2.ButtonGroupComponent], [typeof i1.ButtonComponent, typeof i2.ButtonGroupComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ButtonGroupModule>;
}
