/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
export interface ChipAvatarSettings {
    /**
     * Sets the CSS styles for the wrapper element of the avatar.
     * Supports the types of values supported by [ngStyle](link:site.data.urls.angular['ngstyleapi']).
     */
    cssStyle?: any;
    /**
     * Sets the initials for the Chip avatar.
     */
    initials?: string;
    /**
     * Sets the CSS styles for the wrapper element of the avatar initials.
     * Supports the types of values supported by [ngStyle](link:site.data.urls.angular['ngstyleapi']).
     */
    initialsCssStyle?: any;
    /**
     * Sets the image source for the Chip avatar.
     */
    imageSrc?: string;
    /**
     * Sets the `alt` attribute for the Chip avatar image.
     */
    imageAltText?: string;
    /**
     * Sets the CSS styles for the avatar image element.
     * Supports the types of values supported by [ngStyle](link:site.data.urls.angular['ngstyleapi']).
     */
    imageCssStyle?: any;
}
