/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SVGIcon } from "@progress/kendo-angular-icons";
/**
 * Customizes the DropDownButton arrow icon.
 */
export interface ArrowIconSettings {
    /**
     * Specifies the Kendo font icon to replace the default arrow-down icon.
     */
    icon?: string;
    /**
     * Specifies the custom font icon class to replace the default arrow-down icon.
     */
    iconClass?: string;
    /**
     * Specifies the SVG icon to replace the default arrow-down SVG icon.
     */
    svgIcon?: SVGIcon;
}
