/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Specifies the possible theme colors for the buttons ([see examples]({% slug appearance_button %}#theme-colors)).
 *
 * The possible values are:
 * * `base`&mdash;Applies the `base` theme color.
 * * `primary`&mdash;Applies the `primary` theme color.
 * * `secondary`&mdash;Applies the `secondary` theme color.
 * * `tertiary`&mdash;Applies the `tertiary` theme color.
 * * `info`&mdash;Applies the `info` theme color.
 * * `success`&mdash;Applies the `success` theme color.
 * * `warning`&mdash;Applies the `warning` theme color.
 * * `error`&mdash;Applies the `error` theme color.
 * * `dark`&mdash;Applies the `dark` theme color.
 * * `light`&mdash;Applies the `light` theme color.
 * * `inverse`&mdash;Applies the `inverse` theme color.
 * * `none`&mdash;Removes the theme color.
 */
export type ButtonThemeColor = 'base' | 'primary' | 'secondary' | 'tertiary' | 'info' | 'success' | 'warning' | 'error' | 'dark' | 'light' | 'inverse' | 'none';
/**
 * Specifies the possible theme colors for the Chip.
 *
 * The possible values are:
 * * `base`&mdash;Applies the `base` theme color.
 * * `info`&mdash;Applies the `info` theme color.
 * * `success`&mdash;Applies the `success` theme color.
 * * `warning`&mdash;Applies the `warning` theme color.
 * * `error`&mdash;Applies the `error` theme color.
 * * `none`&mdash;Removes the theme color.
 */
export type ChipThemeColor = 'base' | 'info' | 'success' | 'warning' | 'error' | 'none';
