/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./dropdownbutton.component";
import * as i2 from "../listbutton/button-item-template.directive";
/**
 * Exports the package module.
 *
 * Required for adding DropDownButton features in NgModule-based Angular applications.
 *
 * The module includes:
 * - `DropDownButtonComponent`&mdash;The component class for the DropDownButton.
 * - `ButtonItemTemplateDirective`&mdash;The directive for the button item template.
 *
 * @example
 * ```typescript
 * import { DropDownButtonModule } from '@progress/kendo-angular-buttons';
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *   declarations: [AppComponent],
 *   imports: [BrowserModule, DropDownButtonModule],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class DropDownButtonModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DropDownButtonModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DropDownButtonModule, never, [typeof i1.DropDownButtonComponent, typeof i2.ButtonItemTemplateDirective], [typeof i1.DropDownButtonComponent, typeof i2.ButtonItemTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DropDownButtonModule>;
}
