/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./floatingactionbutton.component";
import * as i2 from "./templates/dial-item-template.directive";
import * as i3 from "./templates/fab-template.directive";
/**
 * Represents the NgModule definition for the FloatingActionButton component.
 *
 * Required for adding FloatingActionButton features in NgModule-based Angular applications.
 *
 * @example
 * ```ts
 * import { FloatingActionButtonModule } from '@progress/kendo-angular-buttons';
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 * import { NgModule } from '@angular/core';
 * import { AppComponent } from './app.component';
 * import { BrowserModule } from '@angular/platform-browser';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports: [BrowserModule, FloatingActionButtonModule],
 *     bootstrap: [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class FloatingActionButtonModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<FloatingActionButtonModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<FloatingActionButtonModule, never, [typeof i1.FloatingActionButtonComponent, typeof i2.DialItemTemplateDirective, typeof i3.FloatingActionButtonTemplateDirective], [typeof i1.FloatingActionButtonComponent, typeof i2.DialItemTemplateDirective, typeof i3.FloatingActionButtonTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<FloatingActionButtonModule>;
}
