/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Arguments for the `click` event of a dial item
 * ([see example](slug:events_floatingactionbutton)).
 *
 * @example
 * ```typescript
 * function onDialItemClick(event: DialItemClickEvent): void {
 *     console.log(event.item, event.index);
 * }
 * ```
 */
export interface DialItemClickEvent {
    /**
     * The clicked dial item.
     */
    item: any;
    /**
     * The index of the clicked dial item in the `dialItems` collection.
     */
    index: number;
}
